Index: pjproject/branches/projects/uwp/build/vs/pjproject-vs14-common-config.props
===================================================================
--- pjproject/branches/projects/uwp/build/vs/pjproject-vs14-common-config.props	(revision 5470)
+++ pjproject/branches/projects/uwp/build/vs/pjproject-vs14-common-config.props	(revision 5497)
@@ -34,7 +34,18 @@
         <PreprocessorDef>PJ_WIN32_UWP;UNICODE;_UNICODE;</PreprocessorDef>
         <PreprocessorDef Condition="'$(Platform)'=='ARM'">$(PreprocessorDef);PJ_M_ARMV7=1;</PreprocessorDef>
-        <PlatformVersion>10.0.10240.0</PlatformVersion>
+        <PlatformVersion>10.0.10586.0</PlatformVersion>
+        <MinPlatformVersion>10.0.10240.0</MinPlatformVersion>
         <AppTypeRev>10.0</AppTypeRev>
-    </PropertyGroup>
+        
+        <WindowsTargetPlatformVersion>$(PlatformVersion)</WindowsTargetPlatformVersion>
+        <WindowsTargetPlatformMinVersion>$(MinPlatformVersion)</WindowsTargetPlatformMinVersion>
+        <AppContainerApplication>true</AppContainerApplication>
+        <ApplicationType>Windows Store</ApplicationType>
+        <ApplicationTypeRevision>$(AppTypeRev)</ApplicationTypeRevision>
+        
+        <TargetPlatformIdentifier>UAP</TargetPlatformIdentifier>
+        <TargetPlatformVersion>$(PlatformVersion)</TargetPlatformVersion>
+        <TargetPlatformMinVersion>$(MinPlatformVersion)</TargetPlatformMinVersion>
+      </PropertyGroup>
     </When>
     <When Condition="'$(API_Family)'=='WinPhone8'">
Index: pjproject/branches/projects/uwp/pjlib-util/build/pjlib_util.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjlib-util/build/pjlib_util.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjlib-util/build/pjlib_util.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjlib-util/build/pjlib_util_test.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjlib-util/build/pjlib_util_test.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjlib-util/build/pjlib_util_test.vcxproj	(revision 5497)
@@ -58,9 +58,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjlib/build/pjlib.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjlib/build/pjlib.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjlib/build/pjlib.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjlib/build/pjlib_test.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjlib/build/pjlib_test.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjlib/build/pjlib_test.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjmedia/build/pjmedia_audiodev.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjmedia/build/pjmedia_audiodev.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjmedia/build/pjmedia_audiodev.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>    
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjmedia/build/pjmedia_codec.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjmedia/build/pjmedia_codec.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjmedia/build/pjmedia_codec.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <DefaultLanguage>en-US</DefaultLanguage>
     <!-- Specific UWP property -->
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjmedia/build/pjmedia_test.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjmedia/build/pjmedia_test.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjmedia/build/pjmedia_test.vcxproj	(revision 5497)
@@ -58,9 +58,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjmedia/build/pjmedia_videodev.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjmedia/build/pjmedia_videodev.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjmedia/build/pjmedia_videodev.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <DefaultLanguage>en-US</DefaultLanguage>
     <!-- Specific UWP property -->
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjnath/build/pjnath.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjnath/build/pjnath.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjnath/build/pjnath.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjnath/build/pjnath_test.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjnath/build/pjnath_test.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjnath/build/pjnath_test.vcxproj	(revision 5497)
@@ -58,9 +58,4 @@
     <DefaultLanguage>en-US</DefaultLanguage>
     <!-- Specific UWP property -->
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip-apps/build/libpjproject.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/build/libpjproject.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/build/libpjproject.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip-apps/build/pjsua.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/build/pjsua.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/build/pjsua.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip-apps/build/pjsystest.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/build/pjsystest.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/build/pjsystest.vcxproj	(revision 5497)
@@ -27,9 +27,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip-apps/build/sample_debug.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/build/sample_debug.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/build/sample_debug.vcxproj	(revision 5497)
@@ -58,9 +58,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip-apps/build/samples.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/build/samples.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/build/samples.vcxproj	(revision 5497)
@@ -59,9 +59,4 @@
     <!-- Specific windows store/UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/cli/uwp/pjsua_cli_uwp.csproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/cli/uwp/pjsua_cli_uwp.csproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/cli/uwp/pjsua_cli_uwp.csproj	(revision 5497)
@@ -18,7 +18,4 @@
     <AssemblyName>pjsua_cli_uwp</AssemblyName>
     <DefaultLanguage>en-US</DefaultLanguage>
-    <TargetPlatformIdentifier>UAP</TargetPlatformIdentifier>
-    <TargetPlatformVersion>10.0.10240.0</TargetPlatformVersion>
-    <TargetPlatformMinVersion>10.0.10240.0</TargetPlatformMinVersion>
     <MinimumVisualStudioVersion>14</MinimumVisualStudioVersion>
     <EnableDotNetNativeCompatibleProfile>true</EnableDotNetNativeCompatibleProfile>
Index: pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Voip.csproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Voip.csproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/Voip/Voip.csproj	(revision 5497)
@@ -2,4 +2,5 @@
 <Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <Import Project="..\..\..\..\..\..\..\build\vs\pjproject-vs14-common-config.props" />
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,7 +12,4 @@
     <AssemblyName>Voip</AssemblyName>
     <DefaultLanguage>en-US</DefaultLanguage>
-    <TargetPlatformIdentifier>UAP</TargetPlatformIdentifier>
-    <TargetPlatformVersion>10.0.10586.0</TargetPlatformVersion>
-    <TargetPlatformMinVersion>10.0.10586.0</TargetPlatformMinVersion>
     <MinimumVisualStudioVersion>14</MinimumVisualStudioVersion>
     <EnableDotNetNativeCompatibleProfile>true</EnableDotNetNativeCompatibleProfile>
Index: pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/VoipTasks/VoipTasks.csproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/VoipTasks/VoipTasks.csproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip-apps/src/pjsua/winrt/gui/uwp/VoipTasks/VoipTasks.csproj	(revision 5497)
@@ -2,4 +2,5 @@
 <Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <Import Project="..\..\..\..\..\..\..\build\vs\pjproject-vs14-common-config.props" />
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,11 +12,7 @@
     <AssemblyName>VoipTasks</AssemblyName>
     <DefaultLanguage>en-US</DefaultLanguage>
-    <TargetPlatformIdentifier>UAP</TargetPlatformIdentifier>
-    <TargetPlatformVersion>10.0.10586.0</TargetPlatformVersion>
-    <TargetPlatformMinVersion>10.0.10240.0</TargetPlatformMinVersion>
     <MinimumVisualStudioVersion>14</MinimumVisualStudioVersion>
     <FileAlignment>512</FileAlignment>
     <ProjectTypeGuids>{A5A43C5B-DE2A-4C0C-9213-0A381AF9435A};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
-    <AllowCrossPlatformRetargeting>false</AllowCrossPlatformRetargeting>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -124,9 +121,4 @@
   </ItemGroup>
   <ItemGroup>
-    <SDKReference Include="WindowsMobile, Version=10.0.10240.0">
-      <Name>Windows Mobile Extensions for the UWP</Name>
-    </SDKReference>
-  </ItemGroup>
-  <ItemGroup>
     <ProjectReference Include="..\VoipBackEnd\VoipBackEnd.vcxproj">
       <Project>{fc9cbb95-624c-4ce8-86a8-3ab5a415aa65}</Project>
Index: pjproject/branches/projects/uwp/pjsip/build/pjsip_core.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip/build/pjsip_core.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip/build/pjsip_core.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip/build/pjsip_simple.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip/build/pjsip_simple.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip/build/pjsip_simple.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip/build/pjsip_test.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip/build/pjsip_test.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip/build/pjsip_test.vcxproj	(revision 5497)
@@ -58,9 +58,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>    
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip/build/pjsip_ua.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip/build/pjsip_ua.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip/build/pjsip_ua.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip/build/pjsua2_lib.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip/build/pjsua2_lib.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip/build/pjsua2_lib.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/pjsip/build/pjsua_lib.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/pjsip/build/pjsua_lib.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/pjsip/build/pjsua_lib.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/baseclasses/libbaseclasses.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/baseclasses/libbaseclasses.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/baseclasses/libbaseclasses.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>  
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/g7221/libg7221codec.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/g7221/libg7221codec.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/g7221/libg7221codec.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <DefaultLanguage>en-US</DefaultLanguage>    
     <!-- Specific UWP property -->
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/gsm/libgsmcodec.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/gsm/libgsmcodec.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/gsm/libgsmcodec.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/ilbc/libilbccodec.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/ilbc/libilbccodec.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/ilbc/libilbccodec.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/milenage/libmilenage.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/milenage/libmilenage.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/milenage/libmilenage.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/portaudio/libportaudio.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/portaudio/libportaudio.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/portaudio/libportaudio.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/resample/libresample.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/resample/libresample.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/resample/libresample.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/speex/libspeex.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/speex/libspeex.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/speex/libspeex.vcxproj	(revision 5497)
@@ -82,9 +82,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
Index: pjproject/branches/projects/uwp/third_party/build/srtp/libsrtp.vcxproj
===================================================================
--- pjproject/branches/projects/uwp/third_party/build/srtp/libsrtp.vcxproj	(revision 5470)
+++ pjproject/branches/projects/uwp/third_party/build/srtp/libsrtp.vcxproj	(revision 5497)
@@ -83,9 +83,4 @@
     <!-- Specific UWP property -->
     <DefaultLanguage>en-US</DefaultLanguage>
-    <AppContainerApplication Condition="'$(API_Family)'=='UWP'">true</AppContainerApplication>
-    <ApplicationType Condition="'$(API_Family)'=='UWP'">Windows Store</ApplicationType>
-    <WindowsTargetPlatformVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformVersion>
-    <WindowsTargetPlatformMinVersion Condition="'$(API_Family)'=='UWP'">$(PlatformVersion)</WindowsTargetPlatformMinVersion>
-    <ApplicationTypeRevision Condition="'$(API_Family)'=='UWP'">$(AppTypeRev)</ApplicationTypeRevision>    
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
